Name:           netmask
Version:        2.3.7
Release:        0.fdr.2.2
Epoch:          0
Summary:        Utility for determining network masks

Group:          Applications/Internet
License:        GPL
URL:            http://packages.debian.org/netmask
Source0:        http://http.us.debian.org/debian/pool/main/n/netmask/netmask_2.3.7.tar.gz
Patch0:         %{name}-optflags.patch
Patch1:         %{name}-direntry.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  texinfo
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
This is a handy tool for generating terse netmasks in several common
formats.  If you've ever maintained a firewall with more than a few
rules in it, you might use netmask to clean up and generalize sloppy
rules left by the netadmin before you.  It will also convert netmasks
from one format to another for the day you change your firewall
software.


%prep
%setup -q
%patch0 -p0
%patch1 -p0


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_infodir}/dir


%check || :
make check


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir 2>/dev/null || :

%preun
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info \
    %{_infodir}/dir 2>/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*.info*


%changelog
* Mon Jun 21 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.3.7-0.fdr.2
- Split install-info dep into post and preun.
- Run tests in the %%check section.
- Change URL.

* Sat Sep 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.3.7-0.fdr.1
- Update to 2.3.7.

* Tue Jul  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.3.6-0.fdr.1
- First build.
